regina::StoreConstPtr< T > Class Template Reference
Utilities

An NProperty storage policy indicating that the property should be held by constant pointer. More...

`#include <utilities/nproperty.h>`

## Public Types

typedef const T * | InitType
| The type by which new values for the underlying property are passed. More...
typedef const T * | QueryType
| The type by which the property value is returned to the user. More...

## Public Member Functions

| StoreConstPtr ()
| Constructor that sets the held pointer to 0. More...
void | clear ()
| Cleans up any currently held value before the property value is changed or cleared. More...

## Protected Attributes

const T * | value_
| The held property value. More...

## Detailed Description

### template<typename T>
class regina::StoreConstPtr< T >

An NProperty storage policy indicating that the property should be held by constant pointer.

The property assignment and query routines will also use constant pointers, and the NProperty wrapper takes no responsibility for memory management of the held value.

See the NProperty class notes for details.

Python:
  Not present.

## Member Typedef Documentation

template<typename T >

typedef const T* regina::StoreConstPtr< T >::InitType

The type by which new values for the underlying property are passed.

template<typename T >

typedef const T* regina::StoreConstPtr< T >::QueryType

The type by which the property value is returned to the user.

## Constructor & Destructor Documentation

template<typename T >

regina::StoreConstPtr< T >::StoreConstPtr | ( |  | ) |

inline

Constructor that sets the held pointer to 0.

## Member Function Documentation

template<typename T >

void regina::StoreConstPtr< T >::clear | ( |  | ) |

inline

Cleans up any currently held value before the property value is changed or cleared.

This implementation resets the held pointer to 0.

## Member Data Documentation

template<typename T >

const T* regina::StoreConstPtr< T >::value_

protected

The held property value.

The documentation for this class was generated from the following file:

- utilities/nproperty.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).